Substy Developers
Inbox and fans

Search creator messages

Search creator message history using the supported sender, date and content filters. Use pagination to retrieve additional matches.

GET/v1/agencies/{agencyId}/messages

Search creator message history using the supported sender, date and content filters. Use pagination to retrieve additional matches.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Query Parameters

creatorIds?array<string>
senderType?string
Default"all"

Value in

  • "all"
  • "ai"
  • "employee"
employeeIds?array<string>
dateFrom?string
dateTo?string
status?string

Value in

  • "SENT"
  • "PAID"
reverted?boolean
hasMedia?boolean
priceMin?number
priceMax?number
search?string
sortBy?string
Default"createdAt"

Value in

  • "createdAt"
  • "price"
sortOrder?string
Default"desc"

Value in

  • "asc"
  • "desc"
limit?number
Range1 <= value <= 100
Default20
cursor?number
Default0

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/messages" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "items": [      {        "id": "string",        "content": null,        "price": null,        "status": "SENT",        "isSentByCreator": true,        "sentByAi": true,        "isAutomationMessage": true,        "automation": null,        "reverted": true,        "revertedAt": null,        "createdAt": "2019-08-24T14:15:22Z",        "fan": {          "id": "string",          "username": null,          "displayName": null        },        "creator": null,        "sentByEmployeeId": null,        "sentByEmployeeName": null,        "revertedByEmployeeId": null,        "revertedByEmployeeName": null,        "mediaCount": 0,        "messageTemplate": null      }    ],    "total": 0,    "nextCursor": null  },  "meta": {    "requestId": "string"  }}